<template>
  <app-install-ios-pane
    v-if="isIos"
    v-model:shown="isShownIosPane"
  />
  <div
    v-if="isShownInstallBanner"
    class="sticky bottom-0 flex h-10 items-center justify-center bg-indigo-600 px-4 text-sm font-medium text-white sm:px-6 lg:px-8">
      <div>
        <button
          @click="handleClick"
        >
          Install App
        </button>
      </div>
  </div>
</template>

<script setup lang="ts">
  import {usePwaInstall} from '~/composable/pwa/usePwaInstall'
  import {isIOSDevice} from '~/src/utils/platform/isIOSDevice'

  const isIos = isIOSDevice()
  const isShownIosPane = ref(false)
  const {isInstalled, canInstall, install, isBrowser} = usePwaInstall()
  const isShownInstallBanner = computed(() => (
    ((!isInstalled.value && canInstall.value) || isIOSDevice) && isBrowser
  ))  

  const handleClick = () => {
    if (!isBrowser) {
      return
    }

    if (canInstall.value) {
      install()
    } else if (isIos) {
      isShownIosPane.value = true
    }
  }
</script>
